| Home | Libraries | People | FAQ | More

##### basic_static_string::find (3 of 5 overloads)

Find the first occurrence of a string within the string.

###### Synopsis

    size_type
    find(
        const_pointer s,
        size_type pos,
        size_type n) const;

###### Description

Finds the first occurrence of the string pointed to by `s` within the string starting at the index `pos`.

###### Complexity

Linear.

###### Remarks

An empty string is always found.

###### Return Value

The lowest index `idx` greater than or equal to `pos` where each element of `{s, s + n)` is equal to that of `{begin() + idx, begin() + idx + n)` if one exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`s` | The string to search for.
`pos` | The index to start searching at.
`n` | The length of the string to search for.